{% extends "transport/base.html" %}
{% load l10n %}

{% block title %}Défraiements{% endblock %}

{% block breadcrumb %}
<li class="breadcrumb-item"><a href="{% url 'home' %}">Accueil</a></li>
<li class="breadcrumb-item active" aria-current="page">Défraiements</li>
{% endblock %}

{% block content %}
{% include 'transport/finances_tabs.html' with active='frais' %}

<div class="row mt-2">
    <div class="col">
        <form method="get" id="mois_form" class="d-flex immediate_submit unmonitor">
        {{ date_form.year }} {{ date_form.month }}
        </form>
    </div>
    <div class="col text-end">
      {% if mois_passe %}
        <form class="inline" method="post" action="{% url 'defrayer-chauffeurs' date_form.cleaned_data.year date_form.cleaned_data.month %}">
            {% csrf_token %}
            <button type="submit" class="btn btn-outline-primary">
                <img class="icon" src="{% static 'ficons/tsv.svg' %}"> Exporter ce mois
            </button>
        </form>
        {% if transmission_url %}
        <form class="inline" method="post" action="{{ transmission_url }}">
            {% csrf_token %}
            <input type="hidden" name="service" value="alarme">
            <button type="submit" class="btn btn-outline-primary">Envoyer les notes de frais à l’ERP</button>
        </form>
        {% endif %}
      {% else %}
        <p class="alert alert-warning">Ce mois n’est pas encore passé. Les chiffres sont indicatifs.</p>
      {% endif %}
    </div>
</div>

<table class="table table-hover">
    <thead class="sticky">
        <tr><th>Bénévole</th>
            <th class="text-end">Frais de repas</th>
            <th class="text-end">Frais divers</th>
            <th class="text-end">Frais d’attente</th>
            <th class="text-end">Frais transp. à plus.</th>
            <th class="text-end">Km</th>
            <th class="text-end">Frais Km</th>
            <th class="text-end">Montant</th><!--th>Exporté</th-->
        </tr>
    </thead>
    <tbody id="filter_container">
    {% for note in object_list %}
    <tr><td><a href="{% url 'benevole-edit' 'transport' note.benevole.pk %}">{{ note.benevole.nom }} {{ note.benevole.prenom }}</a></td>
        <td class="text-end">{{ note.frais_repas|monetize }}</td>
        <td class="text-end">{{ note.frais_divers|monetize }}</td>
        <td class="text-end">{{ note.frais_attente|monetize }}</td>
        <td class="text-end">{{ note.frais_plusieurs|monetize }}</td>
        <td class="text-end">{{ note.kms }}</td>
        <td class="text-end">{{ note.frais_kms|monetize }}</td>
        <td class="text-end">{{ note.montant_total|monetize }}</td>
        <td>
            {% if note.note_frais %}Envoyée le {{ note.note_frais.date_export|date:'d.m.Y'|default:'-' }}
            {% else %}-{% endif %}
        </td>
    </tr>
    {% endfor %}
    </tbody>
    <tbody class="table-group-divider">
    <tr class="table-light fw-bold">
        <td>Totaux</td>
        <td class="text-end">{{ totaux.frais_repas|monetize }}</td>
        <td class="text-end">{{ totaux.frais_divers|monetize }}</td>
        <td class="text-end">{{ totaux.frais_attente|monetize }}</td>
        <td class="text-end">{{ totaux.frais_plusieurs|monetize }}</td>
        <td class="text-end">{{ totaux.kms }}</td>
        <td class="text-end">{{ totaux.frais_kms|monetize }}</td>
        <td class="text-end">{{ totaux.montant_total|monetize }}</td>
    </tr>
    </tbody>
</table>

{% endblock %}
